summaryrefslogtreecommitdiff
path: root/src/transport/install-wlan-helper.sh
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2012-08-01 07:20:37 +0000
committerChristian Grothoff <christian@grothoff.org>2012-08-01 07:20:37 +0000
commitb7ca6765f707bdf074b948d17ce9e458f0bd680d (patch)
tree017b209c01c8a7fb047aacdc426e42a28370c14e /src/transport/install-wlan-helper.sh
parent94c672c467be073e9b62fe2c1b45267163f74db5 (diff)
-fixing installation scripts for suid binaries
Diffstat (limited to 'src/transport/install-wlan-helper.sh')
-rw-r--r--src/transport/install-wlan-helper.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/src/transport/install-wlan-helper.sh b/src/transport/install-wlan-helper.sh
index 30258b8ce..54b3360be 100644
--- a/src/transport/install-wlan-helper.sh
+++ b/src/transport/install-wlan-helper.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-# $1 - sudo binary
-# $2 - bindir
-$1 chown root:root $2/gnunet-helper-transport-wlan || true
-$1 chmod u+s $2/gnunet-helper-transport-wlan || true
+# $1 - bindir
+# $2 - sudo binary (optional)
+$2 chown root:root $1/gnunet-helper-transport-wlan || true
+$2 chmod u+s $1/gnunet-helper-transport-wlan || true